apiVersion: apps/v1
kind: Deployment
metadata:
  name: chart-demo1-depl
  labels:
    app: chart-demo1
    type: frontend
spec:
  replicas: {{ .Values.Replicas }}
  selector:
    matchLabels:
      app: chart-demo1
      type: frontend
  template:
    metadata:
      labels:
        app: chart-demo1
        type: frontend
    spec:
      containers:
      - name: nginx
        image: nginx:latest
        ports:
        - containerPort: 80

